#ifndef AK_CERTIFICATE_REVOCATION_LIST_HPP
#define AK_CERTIFICATE_REVOCATION_LIST_HPP

#include "ref_ptr.hpp"
#include "CertificateRevocationListImpl.hpp"
 
namespace Akenti {

/**
  * A <i>CertificateRevocationList</i> object is a <b>reference-count</b> 
  * pointer that wraps a <i>CertificateRevocationListImpl</i> object.
  * It provides indirect access to the methods of 
  * <i>CertificateRevocationListImpl</i>.
  * 
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */ 

class CertificateRevocationList : public ref_ptr<CertificateRevocationListImpl> {

public:

  /**
    * Constructs a <i>CertificateRevocationList</i> given a 
    * <i>CertificateRevocationListImpl</i> object.
    *
    * @param impl  wrapped <i>CertificateRevocationListImpl</i> object
    * @see ref_ptr
    * @see CertificateRevocationListImpl
    */
  CertificateRevocationList(CertificateRevocationListImpl *impl = NULL) 
    : ref_ptr<CertificateRevocationListImpl>(impl) {
  }

  /**
    * Destroys this object.
    *
    * @see ref_ptr
    */
  ~CertificateRevocationList() {
  }

};

} // end of namespace Akenti

#endif
