#ifndef AKENTI_DELETE_POLICY_CERTIFICATE_REQUEST_HPP
#define AKENTI_DELETE_POLICY_CERTIFICATE_REQUEST_HPP

#include "AkentiRequest.hpp"
#include "AkentiCertificate.hpp"

namespace Akenti {

/**
  * Used to handle <i>DeletePolicyCertificateRequest</i>.
  *
  * @see AkentiRequest
  */
class DeletePolicyCertificateRequest : public AkentiRequest {
 
public:

  /**
    * Constructor
    */
  DeletePolicyCertificateRequest();

  /**
    * Sets the name of resource.
    */
  void setResource(const string& resource);

  /**
    * Returns the name of the resource.
    */
  const string& getResource() const;

private:

  friend class AkentiRequest;
  friend class AkentiRequestResponseImplFactory;
  static AkentiRequestImpl* getRequestImpl(); 
  class DeletePolicyCertificateRequestImpl;
  typedef DeletePolicyCertificateRequestImpl* ImplType; 

};

}

#endif
