#ifndef AKENTI_GET_RESOURCE_INFO_RESPONSE_HPP
#define AKENTI_GET_RESOURCE_INFO_RESPONSE_HPP

#include "AkentiResponse.hpp"

namespace Akenti {

/**
  * Class to handle the contents of the response message to
  * to a get resource info request. A GetResourceInfo response inherits
  * the message  unique id and an Akenti status message from
  * AkentiResponse.
  *
  * @see AkentiResponse
  * @see AkentiMessage
  */
class GetResourceInfoResponse : public AkentiResponse {
 
public:

  /**
    * Constuctor
    */
  GetResourceInfoResponse();

  /**
    * Put the Resource hints file into the response message structure
    */
  void setResourceInfo(const string& resourceInfo);

  /**
    * Read the Resource hints file from the response message structure
    */
  const string& getResourceInfo() const;

private:

  friend class AkentiRequestResponseImplFactory;
  friend class AkentiResponse;
  static AkentiResponseImpl* getResponseImpl();
  class GetResourceInfoResponseImpl;
  typedef GetResourceInfoResponseImpl* ImplType;

};

}

#endif
