#ifndef OPAQUE_CERTIFICATE_HPP
#define OPAQUE_CERTIFICATE_HPP

#include "AkentiCertificate.hpp"
#include "Xerces-Decls.hpp"
#include <string>

using std::string;

namespace Akenti {

/**
 * Class that handles writing/reading a PEM encoded certificate in a 
 * CollectPolicyResponse. 
 *
 * @see CertificateResponse
 */
class OpaqueCertificate {

public:

  /**
    * Takes an AkentiCertificate object and PEM encodes it into a 
    * text DOMElement
    */
  static void toXML(const AkentiCertificate& cert, DOMElement* opaqueCert);
  /**
    * Takes an text DOMElemnt containing a PEM encoded certificate and
    * creates an AkentiCertificate object.
    */

  static const AkentiCertificate fromXML(const DOMElement* opaqueCert);

private:

  OpaqueCertificate();

};

}

#endif
