#ifndef PARSER_EXCEPTION
#define PARSER_EXCEPTION

#include "Exception.hpp"

using namespace Akenti;

/**
  * This exception is used to point any parser exceptions
  *
  * @see Exception
  *
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */

namespace Akenti {

class ParserException : public Exception {

public:

  /**
    * Constructs an <i> ParserException </i> object with the
    * specified message, that explains what went wrong with the
    * parsing.
    * 
    * An exception that is specifically used with Akenti Expressions
    *
    * @param message the exception message
    */
  ParserException(const string& message) : Exception(message) {
  }
 
};

} // end of namespace

#endif
