#ifndef AKENTI_PROTOCOL_HANDLER_HPP
#define AKENTI_PROTOCOL_HANDLER_HPP
#include "Certificate.hpp"

namespace Akenti {
  
class AkentiRequest;
class AkentiResponse;
class AkentiRequests;
class AkentiResponses;

class ProtocolHandler {

public:

   typedef enum { CLIENT, ENGINE, SERVER} Type; 

   /**
     */
   ~ProtocolHandler() {
   }

   /**
     */
   void handle(const AkentiRequests& requests, 
               AkentiResponses& responses, 
               const Certificate& = NULL);

   /**
     */
   void handle(const AkentiRequest& req, 
               AkentiResponse& resp,
               const Certificate& = NULL);

   /**
     */
   static ProtocolHandler& getInstance(Type type);

private:

   /**
     */
   ProtocolHandler(Type type) : type(type) {
   }

   /**
     */
   ProtocolHandler(const ProtocolHandler&);

   Type type;
};

}

#endif
