#ifndef AKENTI_RESOURCE_BROWSE_REQUEST_HPP
#define AKENTI_RESOURCE_BROWSE_REQUEST_HPP

#include "AkentiRequest.hpp"

namespace Akenti {

/**
  * Use this to list resources under a given resource.
  *
  * @see AkentiBrowseResponse 
  * @see AkentiRequest 
  */
class ResourceBrowseRequest : public AkentiRequest {
 
public:

  /**
    * Constructor.
    */
  ResourceBrowseRequest();

  /**
    * Sets the resource name.
    */
  void setResource(const string& resource);
 
  /**
    * Returns the resource name.
    */
  const string& getResource() const;

private:

  friend class AkentiRequest;
  friend class AkentiRequestResponseImplFactory;
  class ResourceBrowseRequestImpl;
  static AkentiRequestImpl* getRequestImpl(); 
  typedef ResourceBrowseRequestImpl* ImplType; 

};

}

#endif
