#ifndef AK_STRING_UTIL_HPP
#define AK_STRING_UTIL_HPP

#include <string>

using std::string;

/**
  * A simple utility class that provides static function that compare strings.
  *
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  * @author Sushila Subramanian
  */

namespace Akenti {

class StringUtil {
  
public:

  /**
    * Compares two strings ignoring case context.
    * 
    * @param s1 first string used for comparison
    * @param s2 second string used for comparison
    * @return true if the strings are equal 
    */
  static bool equalsIgnoreCase(const string& s1,
                               const string& s2);

  /**
    * Converts a string to upper case.
    *
    * @param s the string to be converted.
    */
  static string toUpper(const string& s);

private:
  
  /**
    */
  StringUtil();

};

} // end of name space

#endif
