#ifndef AKENTI_UPLOAD_POLICY_CERTIFICATE_REQUEST_HPP
#define AKENTI_UPLOAD_POLICY_CERTIFICATE_REQUEST_HPP

#include "AkentiRequest.hpp"
#include "PolicyCertificate.hpp"

namespace Akenti {

/**
  * Used to upload a poliy certificate.
  *
  * @see AkentiRequest
  */
class UploadPolicyCertificateRequest : public AkentiRequest {
 
public:

  /**
    * Constructor
    */
  UploadPolicyCertificateRequest();

  /**
    * Sets the policy certificate.
    */
  void setCertificate(const PolicyCertificate& polCert);

  /**
    * Returns the policy certificate.
    */
  const PolicyCertificate& getCertificate() const;

private:

  friend class AkentiRequest;
  friend class AkentiRequestResponseImplFactory;
  static AkentiRequestImpl* getRequestImpl(); 
  class UploadPolicyCertificateRequestImpl;
  typedef UploadPolicyCertificateRequestImpl* ImplType; 

};

}

#endif
